diff -Nru curl-7.26.0/debian/changelog curl-7.26.0/debian/changelog
--- curl-7.26.0/debian/changelog	2013-11-16 13:12:02.000000000 +0100
+++ curl-7.26.0/debian/changelog	2013-11-19 17:41:19.000000000 +0100
@@ -1,3 +1,10 @@
+curl (7.26.0-1+wheezy6) stable-security; urgency=low
+
+  * Disable host verification too when using the --insecure option
+    (Closes: #729965)
+
+ -- Alessandro Ghedini <ghedo@debian.org>  Tue, 19 Nov 2013 17:15:32 +0100
+
 curl (7.26.0-1+wheezy5) stable-security; urgency=high
 
   * Fix OpenSSL checking of a certificate CN or SAN name field when the
diff -Nru curl-7.26.0/debian/patches/11_disable-verifyhost-with-insecure.patch curl-7.26.0/debian/patches/11_disable-verifyhost-with-insecure.patch
--- curl-7.26.0/debian/patches/11_disable-verifyhost-with-insecure.patch	1970-01-01 01:00:00.000000000 +0100
+++ curl-7.26.0/debian/patches/11_disable-verifyhost-with-insecure.patch	2013-11-19 17:41:19.000000000 +0100
@@ -0,0 +1,21 @@
+From a1be8e7f9be2feff103f314cd8ea8a50a560e79e Mon Sep 17 00:00:00 2001
+From: Daniel Stenberg <daniel@haxx.se>
+Date: Tue, 6 Nov 2012 22:27:25 +0100
+Subject: [PATCH] curl: set CURLOPT_SSL_VERIFYHOST to 0 to disable
+Bug-Debian: http://bugs.debian.org/729965
+
+---
+ src/tool_operate.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+--- a/src/tool_operate.c
++++ b/src/tool_operate.c
+@@ -982,7 +982,7 @@
+         if(curlinfo->features & CURL_VERSION_SSL) {
+           if(config->insecure_ok) {
+             my_setopt(curl, CURLOPT_SSL_VERIFYPEER, 0L);
+-            my_setopt(curl, CURLOPT_SSL_VERIFYHOST, 1L);
++            my_setopt(curl, CURLOPT_SSL_VERIFYHOST, 0L);
+           }
+           else {
+             my_setopt(curl, CURLOPT_SSL_VERIFYPEER, 1L);
diff -Nru curl-7.26.0/debian/patches/series curl-7.26.0/debian/patches/series
--- curl-7.26.0/debian/patches/series	2013-11-16 13:12:02.000000000 +0100
+++ curl-7.26.0/debian/patches/series	2013-11-19 17:41:19.000000000 +0100
@@ -8,6 +8,7 @@
 08_CVE-2013-2174.patch
 09_reset-timecond.patch
 10_CVE-2013-4545.patch
+11_disable-verifyhost-with-insecure.patch
 
 90_gnutls.patch
 99_nss.patch
